commit: 206c053e8226dd326120d25e6ce8392c16cf570d
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 24 14:25:18 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr 24 14:39:10 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=206c053e
dev-python/twisted: Skip tests failing on py2.7
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/twisted/twisted-19.10.0.ebuild | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/dev-python/twisted/twisted-19.10.0.ebuild
b/dev-python/twisted/twisted-19.10.0.ebuild
index 540e74f97ed..1112e8b1d49 100644
--- a/dev-python/twisted/twisted-19.10.0.ebuild
+++ b/dev-python/twisted/twisted-19.10.0.ebuild
@@ -82,6 +82,10 @@ DEPEND="
S=${WORKDIR}/${TWISTED_P}
python_prepare_all() {
+ # upstream test for making releases; not very useful and requires
+ # sphinx (including on py2)
+ rm src/twisted/python/test/test_release.py || die
+
# puts system in EMFILE state, then the exception handler may fail
# trying to open more files due to some gi magic
sed -e '/SKIP_EMFILE/s:None:"Fails on non-pristine systems":' \
@@ -107,6 +111,12 @@ python_prepare_all() {
sed -e 's:test_getTimezoneOffsetWithoutDaylightSavingTime:_&:' \
-i src/twisted/test/test_log.py || die
+ # TODO: failures specific to Python 2
+ sed -e 's:testLookupProcNetTcp:_&:' \
+ -i src/twisted/test/test_ident.py || die
+ sed -e 's:test_loggingFactoryOpensLogfileAutomatically:_&:' \
+ -i src/twisted/test/test_policies.py || die
+
distutils-r1_python_prepare_all
}